lkftfragments: &lkftfragments
  - &frag-lkft-base https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
  - &frag-lkft-crypto https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
  - &frag-lkft-distro https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
  - &frag-lkft-systemd https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
  - &frag-lkft-virtio https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config

# debian rootfs
rootfs-debian-testing-arm: &rootfs-debian-testing-arm https://storage.tuxboot.com/debian/bookworm/armhf/rootfs.ext4.xz
rootfs-debian-testing-arm-tar: &rootfs-debian-testing-arm-tar https://storage.tuxboot.com/debian/bookworm/armhf/rootfs.tar.xz
rootfs-debian-testing-arm64: &rootfs-debian-testing-arm64 https://storage.tuxboot.com/debian/bookworm/arm64/rootfs.ext4.xz
rootfs-debian-testing-arm64-tar: &rootfs-debian-testing-arm64-tar https://storage.tuxboot.com/debian/bookworm/arm64/rootfs.tar.xz
rootfs-debian-testing-i386: &rootfs-debian-testing-i386 https://storage.tuxboot.com/debian/bookworm/i386/rootfs.ext4.xz
rootfs-debian-testing-i386-tar: &rootfs-debian-testing-i386-tar https://storage.tuxboot.com/debian/bookworm/i386/rootfs.tar.xz
rootfs-debian-testing-x86_64: &rootfs-debian-testing-x86_64 https://storage.tuxboot.com/debian/bookworm/amd64/rootfs.ext4.xz
rootfs-debian-testing-x86_64-tar: &rootfs-debian-testing-x86_64-tar https://storage.tuxboot.com/debian/bookworm/amd64/rootfs.tar.xz

ltp-debian-bookworm-arm: &ltp-debian-bookworm-arm https://storage.tuxboot.com/overlays/debian/bookworm/armhf/ltp/20230929/ltp.tar.xz
ltp-debian-bookworm-arm64: &ltp-debian-bookworm-arm64 https://storage.tuxboot.com/overlays/debian/bookworm/arm64/ltp/20230929/ltp.tar.xz
ltp-debian-bookworm-i386: &ltp-debian-bookworm-i386 https://storage.tuxboot.com/overlays/debian/bookworm/i386/ltp/20230929/ltp.tar.xz
ltp-debian-bookworm-x86_64: &ltp-debian-bookworm-x86_64 https://storage.tuxboot.com/overlays/debian/bookworm/amd64/ltp/20230929/ltp.tar.xz

boot-timeout-arm: &boot-timeout-arm 30
boot-timeout-arm64: &boot-timeout-arm64 30
boot-timeout-fvp: &boot-timeout-fvp 60
boot-timeout-i386: &boot-timeout-i386 15
boot-timeout-x86: &boot-timeout-x86 15

ltp-smoke-timeout: &ltp-smoke-timeout 15

version: 1
name: full kernel validation for the master branch.
description: Build and test linux kernel with every toolchain
jobs:
- name: arm64-lkftconfig-tests
  tests:
    - device: qemu-arm64
      tuxbuild: https://bhoj.dev.storage.tuxsuite.com/public/tuxsuite/vishal/builds/2XeoBtrYVKUj1qE39mQ3LlUTI8l/
      boot_args: rw
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-debian-testing-arm64
      overlay: [ [*ltp-debian-bookworm-arm64 ], [ https://people.linaro.org/~anders.roxell/kselftest-settings/1500/settings.tar.xz, /opt/kselftests/default-in-kernel/arm64/ ] ]
      commands:
      - 'ls -R /opt/kselftests/ && ls /opt/ltp/'
      command_name: test-overlays
      timeouts: { "boot": *boot-timeout-arm64, "ltp-smoke": *ltp-smoke-timeout }
    - device: qemu-arm64
      tuxbuild: https://bhoj.dev.storage.tuxsuite.com/public/tuxsuite/vishal/builds/2XeoBtrYVKUj1qE39mQ3LlUTI8l/
      boot_args: rw
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-debian-testing-arm64
      overlay: [ *ltp-debian-bookworm-arm64 ]
      tests: [ ltp-smoke ]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-smoke": *ltp-smoke-timeout }

